Bug 1163583 (CVE-2014-8711) - CVE-2014-8711 wireshark: AMQP dissector crash (wnpa-sec-2014-21)
Summary: CVE-2014-8711 wireshark: AMQP dissector crash (wnpa-sec-2014-21)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8711
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1163585 1208005 1245763
Blocks: 1163586 1210268
TreeView+ depends on / blocked
 
Reported: 2014-11-13 04:29 UTC by Murray McAllister
Modified: 2019-09-29 13:23 UTC (History)
5 users (show)

Fixed In Version: wireshark 1.12.2, wireshark 1.10.11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-20 04:47:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1460 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-07-21 14:14:59 UTC
Red Hat Product Errata RHSA-2015:2393 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-11-19 11:03:11 UTC

Description Murray McAllister 2014-11-13 04:29:14 UTC
It was reported that Wireshark's AMQP dissector could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This is reported to affect Wireshark versions 1.12.0 to 1.12.1, and 1.10.0 to 1.10.10. It is fixed in versions 1.12.2 and 1.10.11.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10582

The version of Wireshark in Red Hat Enterprise Linux 5 and 6 is older than 1.10.x, and may not be affected. The version of Wireshark in Red Hat Enterprise Linux 7 is affected.

External References:

https://www.wireshark.org/security/wnpa-sec-2014-21.html

Comment 1 Murray McAllister 2014-11-13 04:32:59 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1163585]

Comment 3 Fedora Update System 2014-12-04 06:22:12 UTC
wireshark-1.10.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Siddharth Sharma 2015-01-14 19:00:17 UTC
Analysis
========

In the various places of the amqp_0_10 code 32 bit size field is used as the size of the following data field which creates potential for overflows when using 32 bit arithmetic.

Comment 8 errata-xmlrpc 2015-07-22 07:24:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1460 https://rhn.redhat.com/errata/RHSA-2015-1460.html

Comment 12 Peter Hatina 2015-10-08 05:59:07 UTC
Actually, in 1.10.x, it's fixed by c567c0e0d0d08760944d6674d827e96bdb242964.

Comment 13 errata-xmlrpc 2015-11-19 12:36:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2393 https://rhn.redhat.com/errata/RHSA-2015-2393.html

Comment 14 Huzaifa S. Sidhpurwala 2015-11-20 04:47:16 UTC
Statement:

This issue did not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5


Note You need to log in before you can comment on or make changes to this bug.